/* Have ideas for improving this CSS for the general community? Submit your changes at: https://github.com/Valums-File-Uploader/file-uploader */
.qq-uploader {
	position: relative;
	width: 100%;
}
.qq-upload-button {
	display: block;		
	padding: 5px 0px;        
	text-align: center;
        font-size: 10px;
        font-weight: bold;
        text-transform:uppercase;
        text-decoration: none;
/*	border: 1px solid #999;*/
	color: blue;  
        width: 50px;
/*        -webkit-border-radius: 25px;
           -moz-border-radius: 25px;
                border-radius: 25px;
  
        background-image: -webkit-linear-gradient(top, #FFF0C2, #977a38);
        background-image:    -moz-linear-gradient(top, #FFF0C2, #977a38);
        background-image:     -ms-linear-gradient(top, #FFF0C2, #977a38);  
        background-image:         linear-gradient(top, #FFF0C2, #977a38);
        
        -webkit-box-shadow: inset 0 1px 0px rgba(255, 255, 255, 0.5);
           -moz-box-shadow: inset 0 1px 0px rgba(255, 255, 255, 0.5);
                box-shadow: inset 0 1px 0px rgba(255, 255, 255, 0.5);*/
}
.qq-upload-button-hover {
/*	background-image: -webkit-linear-gradient(top, #977a38, #FFF0C2);
        background-image:    -moz-linear-gradient(top, #977a38, #FFF0C2);
        background-image:     -ms-linear-gradient(top, #977a38, #FFF0C2);
        background-image:         linear-gradient(top, #977a38, #FFF0C2); */
        text-decoration: underline;
}
.qq-upload-button-focus {
	outline: 1px dotted #000000;
/*        background-image: -webkit-linear-gradient(top, #977a38, #FFF0C2);
        background-image:    -moz-linear-gradient(top, #977a38, #FFF0C2);
        background-image:     -ms-linear-gradient(top, #977a38, #FFF0C2);
        background-image:         linear-gradient(top, #977a38, #FFF0C2);

        -webkit-box-shadow: inset 0 1px 0px rgba(0, 0, 0, 0.5);
           -moz-box-shadow: inset 0 1px 0px rgba(0, 0, 0, 0.5);
                box-shadow: inset 0 1px 0px rgba(0, 0, 0, 0.5);*/
}
.qq-upload-drop-area, .qq-upload-extra-drop-area {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
        font-size: 8px;
        font-weight: bold;
	min-height: 30px;
	z-index: 2;
	background: orange;
	text-align: center;
        -webkit-border-radius: 25px;
           -moz-border-radius: 25px;
                border-radius: 25px;
}
.qq-upload-drop-area span {
	display: block;
	position: absolute;
	top: 50%;
	width: 100%;
	margin-top: -8px;
	font-size: 12px;
}
.qq-upload-extra-drop-area {
	position: relative;
	margin-top: 50px;
	font-size: 16px;
	padding-top: 30px;
	height: 20px;
	min-height: 40px;
}
.qq-upload-drop-area-active {
	background: #5DA30C;
}
.qq-upload-list {
	margin: 0;
	padding: 0;
	list-style: none;
}
.qq-upload-list li {
	margin: 0;
	padding: 9px;
	line-height: 15px;
	font-size: 16px;
	background-color: #FFF0BD;
}
.qq-upload-file, .qq-upload-spinner, .qq-upload-size, .qq-upload-cancel, .qq-upload-failed-text, .qq-upload-finished {
	margin-right: 12px;
}
.qq-upload-file {
}
.qq-upload-spinner {
	display: inline-block;
	background: url("loading.gif");
	width: 15px;
	height: 15px;
	vertical-align: text-bottom;
}
.qq-upload-finished {
    display:none;
    width:15px;
    height:15px;
    vertical-align:text-bottom;
}
.qq-upload-size, .qq-upload-cancel {
	font-size: 12px;
	font-weight: normal;
}
.qq-upload-failed-text {
	display: none;
        font-size: 8px;
}
.qq-upload-failed-icon {
    display:none;
    width:15px;
    height:15px;
    vertical-align:text-bottom;
}
.qq-upload-fail .qq-upload-failed-text {
	display: inline;
        font-size: 8px;
}
.qq-upload-list li.qq-upload-success {
	background-color: #5DA30C;        
	color: #FFFFFF;
        font-size: 8px;
        height: 1px;
        width: 35px;
        -webkit-border-radius: 25px;
           -moz-border-radius: 25px;
                border-radius: 25px;
}
.qq-upload-list li.qq-upload-fail {
	background-color: #D60000;
	color: #FFFFFF;
        font-size: 8px;
        height: 1px;
        width: 35px;
        -webkit-border-radius: 25px;
           -moz-border-radius: 25px;
                border-radius: 25px;
}
